    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.EntityRef

    java.lang.Object
       |
       +----org.jdom.EntityRef

public class EntityRef
extends Object
implements Serializable, Cloneable

`EntityRef` Defines an XML entity reference in Java.

Version:
  $Revision: 1.8 $, $Date: 2002/03/12 07:11:39 $
Author:
  Brett McLaughlin, Jason Hunter, Philip Nelson

##

name
  The name of the `EntityRef`
parent
  Parent element or null if none
publicID
  The PublicID of the `EntityRef`
systemID
  The SystemID of the `EntityRef`

##

EntityRef()

  Default, no-args constructor for implementations to use if needed.

EntityRef(String)

  This will create a new `EntityRef` with the supplied name.

EntityRef(String, String)

  This will create a new `EntityRef` with the supplied name and system id.

EntityRef(String, String, String)

  This will create a new `EntityRef` with the supplied name, public id, and system id.

##

clone()

  This will return a clone of this `EntityRef`.

detach()

  This detaches the `Entity` from its parent, or does nothing if the `Entity` has no parent.

equals(Object)

  This tests for equality of this `Entity` to the supplied `Object`.

getDocument()

  This retrieves the owning `{`

getName()

  This returns the name of the `EntityRef`.

getParent()

  This will return the parent of this `EntityRef`.

getPublicID()

  This will return the publid ID of this `EntityRef`.

getSystemID()

  This will return the system ID of this `EntityRef`.

hashCode()

  This returns the hash code for this `Entity`.

setName(String)

  This will set the name of this `EntityRef`.

setParent(Element)

  This will set the parent of this `Entity`.

setPublicID(String)

  This will set the public ID of this `EntityRef`.

setSystemID(String)

  This will set the system ID of this `EntityRef`.

toString()

  This returns a `String` representation of the `EntityRef`, suitable for debugging.

##

name

     protected String name

  The name of the `EntityRef`

publicID

     protected String publicID

  The PublicID of the `EntityRef`

systemID

     protected String systemID

  The SystemID of the `EntityRef`

parent

     protected Object parent

  Parent element or null if none

##

EntityRef

     protected EntityRef()

  Default, no-args constructor for implementations to use if needed.

EntityRef

     public EntityRef(String name)

  This will create a new `EntityRef` with the supplied name.

  Parameters:
    name - `String` name of element.
  Throws: IllegalNameException
    if the given name is not a legal XML name.

EntityRef

     public EntityRef(String name,
                      String systemID)

  This will create a new `EntityRef` with the supplied name and system id.

  Parameters:
    name - `String` name of element.
  Throws: IllegalNameException
    if the given name is not a legal XML name.
  Throws: IllegalDataException
    if the given system ID is not a legal system literal.

EntityRef

     public EntityRef(String name,
                      String publicID,
                      String systemID)

  This will create a new `EntityRef` with the supplied name, public id, and system id.

  Parameters:
    name - `String` name of element.
  Throws: IllegalDataException
    if the given system ID is not a legal system literal or the the given public ID is not a legal public ID
  Throws: IllegalNameException
    if the given name is not a legal XML name.

##

clone

     public Object clone()

  This will return a clone of this `EntityRef`.

  Returns:
    `Object` - clone of this `EntityRef`.
  Overrides:
    clone in class Object

detach

     public EntityRef detach()

  This detaches the `Entity` from its parent, or does nothing if the `Entity` has no parent.

  Returns:
    `Entity` - this `Entity` modified.

equals

     public final boolean equals(Object ob)

  This tests for equality of this `Entity` to the supplied `Object`.

  Parameters:
    ob - `Object` to compare to.
  Returns:
    `boolean` - whether the `Entity` is equal to the supplied `Object`.
  Overrides:
    equals in class Object

getDocument

     public Document getDocument()

  This retrieves the owning `{@link Document}` for this Entity, or null if not a currently a member of a `{@link Document}`.

  Returns:
    `Document` owning this Entity, or null.

getName

     public String getName()

  This returns the name of the `EntityRef`.

  Returns:
    `String` - entity name.

getParent

     public Element getParent()

  This will return the parent of this `EntityRef`. If there is no parent, then this returns `null`.

  Returns:
    parent of this `EntityRef`

getPublicID

     public String getPublicID()

  This will return the publid ID of this `EntityRef`. If there is no public ID, then this returns `null`.

  Returns:
    public ID of this `EntityRef`

getSystemID

     public String getSystemID()

  This will return the system ID of this `EntityRef`. If there is no system ID, then this returns `null`.

  Returns:
    system ID of this `EntityRef`

hashCode

     public final int hashCode()

  This returns the hash code for this `Entity`.

  Returns:
    `int` - hash code.
  Overrides:
    hashCode in class Object

setParent

     protected EntityRef setParent(Element parent)

  This will set the parent of this `Entity`.

  Parameters:
    parent - `Element` to be new parent.
  Returns:
    this `Entity` modified.

setName

     public EntityRef setName(String name)

  This will set the name of this `EntityRef`.

  Parameters:
    name - new name of the entity
  Returns:
    this `EntityRef` modified.
  Throws: IllegalNameException
    if the given name is not a legal XML name.

setPublicID

     public EntityRef setPublicID(String newPublicID)

  This will set the public ID of this `EntityRef`.

  Parameters:
    newPublicID - new public id
  Returns:
    this `EntityRef` modified.
  Throws: IllegalDataException
    if the given public ID is not a legal public ID.

setSystemID

     public EntityRef setSystemID(String newSystemID)

  This will set the system ID of this `EntityRef`.

  Parameters:
    newSystemID - new system id
  Returns:
    this `EntityRef` modified.
  Throws: IllegalDataException
    if the given system ID is not a legal system literal.

toString

     public String toString()

  This returns a `String` representation of the `EntityRef`, suitable for debugging.

  Returns:
    `String` - information about the `EntityRef`
  Overrides:
    toString in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index